QGDictIterator(3qt)

NAME
QGDictIterator - An internal class for implementing QDictIterator and QIntDictIterator

SYNOPSIS

#include <qgdict.h>

Inherited by QAsciiDictIterator, QDictIterator, QIntDictIterator and QPtrDictIterator.

  Public Members
QGDictIterator ( const QGDict & ) (internal)
QGDictIterator ( const QGDictIterator & ) (internal)
QGDictIterator& operator= ( const QGDictIterator & ) (internal)
~QGDictIterator () (internal)
QCollection::Item toFirst () (internal)
QCollection::Item get () const
QString getKeyString () const
const char* getKeyAscii () const
long getKeyInt () const
void* getKeyPtr () const
QCollection::Item operator ()() (internal)
QCollection::Item operator++ () (internal)
QCollection::Item operator+= ( uint ) (internal)

DESCRIPTION
An internal class for implementing QDictIterator and QIntDictIterator.

QGDictIterator is a strictly internal class that does the heavy work for QDictIterator and QIntDictIterator.

MEMBER FUNCTION DOCUMENTATION

QCollection::Item QGDictIterator::get() const
For internal use only.

const char * QGDictIterator::getKeyAscii () const
For internal use only.

long QGDictIterator::getKeyInt () const
For internal use only.

void * QGDictIterator::getKeyPtr () const
For internal use only.

QString QGDictIterator::getKeyString () const
For internal use only.

QGDictIterator::QGDictIterator ( const QGDict & d )
For internal use only.

QGDictIterator::QGDictIterator ( const QGDictIterator & it )
For internal use only.

QGDictIterator::~QGDictIterator ()
For internal use only.

QCollection::Item QGDictIterator::operator()()
For internal use only.

QCollection::Item QGDictIterator::operator++()
For internal use only.

QCollection::Item QGDictIterator::operator+=( uint jumps )
For internal use only.

QGDictIterator & QGDictIterator::operator= ( const QGDictIterator & it )
For internal use only.

QCollection::Item QGDictIterator::toFirst()
For internal use only.

SEE ALSO
http://doc.trolltech.com/qgdictiterator.html

COPYRIGHT
Copyright 1992-2000 Trolltech AS, http://www.trolltech.com/. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.